package com.jeequan.jeepay.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeequan.jeepay.db.entity.PackageOrder;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 产品信息表 Mapper 接口
 * </p>
 * @author [mybatis plus generator]
 */
public interface ProductAppMapper extends BaseMapper<PackageOrder> {


    Page<PackageOrder> getProductAppList(Page<PackageOrder>page, @Param("queryObject") PackageOrder packageOrder);

    int getProductAppCheckNumber(@Param("mchNo") String mchNo);

    PackageOrder getDetail(@Param("id") String id);

    List<PackageOrder> getList(@Param("productId") String productId, @Param("mchNo") String mchNo);

}
